using Leanetec.EConnect.Client.Dto;
using MediatR;

namespace Leanetec.EConnect.Client.Alive;

public enum Role
{
    User,
    Admin
}

public record GetRequest(Role? Role = null) : HttpRequest<bool>, IRequest<bool>
{
}

public class GetRequestHandler : IRequestHandler<GetRequest, bool>
{
    public Task<bool> Handle(GetRequest request, CancellationToken cancellationToken)
    {
        throw new NotImplementedException();
    }
}